[dunfell,1.46] toaster-requirements.txt: require Django 2.2

Submitted by Tim Orling on May 27, 2020, 11:25 p.m. | Patch ID: 172913

Details

Message ID 20200527232512.27409-1-timothy.t.orling@linux.intel.com
State Accepted
Commit ee15e78c6f9b59c221b1e43973ee4db20c5b443b
Headers show

Commit Message

Tim Orling May 27, 2020, 11:25 p.m.
In commit 9730f95686b2ac72cf1fa513c555f7c7787e2667
Django 2.2 was enabled.

Django 1.11 was EOL on April 1, 2020

Signed-off-by: Tim Orling <timothy.t.orling@linux.intel.com>
---
 toaster-requirements.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Patch hide | download patch | download mbox

diff --git a/toaster-requirements.txt b/toaster-requirements.txt
index a682b085..735b6145 100644
--- a/toaster-requirements.txt
+++ b/toaster-requirements.txt
@@ -1,3 +1,3 @@ 
-Django>1.8,<1.12
+Django>2.2,<2.3
 beautifulsoup4>=4.4.0
 pytz

Comments

Tim Orling May 28, 2020, 9:27 a.m.
This is a system generated Comment: Patch 172913 was automatically marked as superseded by patch 172915.
Armin Kuster May 28, 2020, 7:03 p.m.
On 5/27/20 4:25 PM, Tim Orling wrote:
> In commit 9730f95686b2ac72cf1fa513c555f7c7787e2667
> Django 2.2 was enabled.
>
> Django 1.11 was EOL on April 1, 2020
>
> Signed-off-by: Tim Orling <timothy.t.orling@linux.intel.com>
> ---
>  toaster-requirements.txt | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/toaster-requirements.txt b/toaster-requirements.txt
> index a682b085..735b6145 100644
> --- a/toaster-requirements.txt
> +++ b/toaster-requirements.txt
> @@ -1,3 +1,3 @@
> -Django>1.8,<1.12
> +Django>2.2,<2.3

Is this version supported on all hosts supported by Dunfell?

- armin
>  beautifulsoup4>=4.4.0
>  pytz
>
>
-=-=-=-=-=-=-=-=-=-=-=-
Links: You receive all messages sent to this group.

View/Reply Online (#5738): https://lists.yoctoproject.org/g/toaster/message/5738
Mute This Topic: https://lists.yoctoproject.org/mt/74531647/3617530
Group Owner: toaster+owner@lists.yoctoproject.org
Unsubscribe: https://lists.yoctoproject.org/g/toaster/unsub  [oe-patchwork@oe-patch.openembedded.org]
-=-=-=-=-=-=-=-=-=-=-=-
Tim Orling June 1, 2020, 9:46 p.m.
> On May 28, 2020, at 12:03 PM, akuster808 <akuster808@gmail.com> wrote:
> 
> 
> 
> On 5/27/20 4:25 PM, Tim Orling wrote:
>> In commit 9730f95686b2ac72cf1fa513c555f7c7787e2667
>> Django 2.2 was enabled.
>> 
>> Django 1.11 was EOL on April 1, 2020
>> 
>> Signed-off-by: Tim Orling <timothy.t.orling@linux.intel.com> <mailto:timothy.t.orling@linux.intel.com>
>> ---
>>  toaster-requirements.txt | 2 +-
>>  1 file changed, 1 insertion(+), 1 deletion(-)
>> 
>> diff --git a/toaster-requirements.txt b/toaster-requirements.txt
>> index a682b085..735b6145 100644
>> --- a/toaster-requirements.txt
>> +++ b/toaster-requirements.txt
>> @@ -1,3 +1,3 @@
>> -Django>1.8,<1.12
>> +Django>2.2,<2.3
> 
> Is this version supported on all hosts supported by Dunfell?
> 

It would be since Django 1.11 went EOL a while ago and it is loaded via “pip3 install -r toaster-requirements.txt” (not requiring Django 2.2 to be packaged on a given bistro).

Also, toaster is currently broken on Dunfell without this change:

Traceback (most recent call last):
  File "/home/usersetup/poky/bitbake/bin/../lib/toaster/manage.py", line 14, in <module>
    execute_from_command_line(sys.argv)
  File "/usr/local/lib/python3.6/dist-packages/django/core/management/__init__.py", line 364, in execute_from_command_line
    utility.execute()
  File "/usr/local/lib/python3.6/dist-packages/django/core/management/__init__.py", line 356, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
  File "/usr/local/lib/python3.6/dist-packages/django/core/management/base.py", line 283, in run_from_argv
    self.execute(*args, **cmd_options)
  File "/usr/local/lib/python3.6/dist-packages/django/core/management/base.py", line 327, in execute
    self.check()
  File "/usr/local/lib/python3.6/dist-packages/django/core/management/base.py", line 359, in check
    include_deployment_checks=include_deployment_checks,
  File "/usr/local/lib/python3.6/dist-packages/django/core/management/base.py", line 346, in _run_checks
    return checks.run_checks(**kwargs)
  File "/usr/local/lib/python3.6/dist-packages/django/core/checks/registry.py", line 81, in run_checks
    new_errors = check(app_configs=app_configs)
  File "/usr/local/lib/python3.6/dist-packages/django/core/checks/urls.py", line 16, in check_url_config
    return check_resolver(resolver)
  File "/usr/local/lib/python3.6/dist-packages/django/core/checks/urls.py", line 26, in check_resolver
    return check_method()
  File "/usr/local/lib/python3.6/dist-packages/django/urls/resolvers.py", line 256, in check
    for pattern in self.url_patterns:
  File "/usr/local/lib/python3.6/dist-packages/django/utils/functional.py", line 35, in __get__
    res = instance.__dict__[self.name] = self.func(instance)
  File "/usr/local/lib/python3.6/dist-packages/django/urls/resolvers.py", line 407, in url_patterns
    patterns = getattr(self.urlconf_module, "urlpatterns", self.urlconf_module)
  File "/usr/local/lib/python3.6/dist-packages/django/utils/functional.py", line 35, in __get__
    res = instance.__dict__[self.name] = self.func(instance)
  File "/usr/local/lib/python3.6/dist-packages/django/urls/resolvers.py", line 400, in urlconf_module
    return import_module(self.urlconf_name)
  File "/usr/lib/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/home/usersetup/poky/bitbake/lib/toaster/toastermain/urls.py", line 72, in <module>
    if p.pattern.regex.pattern == '^' + modulename + '/':
AttributeError: 'RegexURLResolver' object has no attribute ‘pattern'

> - armin
>>  beautifulsoup4>=4.4.0
>>  pytz
>> 
>> 
> 
>
-=-=-=-=-=-=-=-=-=-=-=-
Links: You receive all messages sent to this group.

View/Reply Online (#5739): https://lists.yoctoproject.org/g/toaster/message/5739
Mute This Topic: https://lists.yoctoproject.org/mt/74531647/3617530
Group Owner: toaster+owner@lists.yoctoproject.org
Unsubscribe: https://lists.yoctoproject.org/g/toaster/unsub  [oe-patchwork@oe-patch.openembedded.org]
-=-=-=-=-=-=-=-=-=-=-=-
Tim Orling June 1, 2020, 9:49 p.m.
> On Jun 1, 2020, at 2:46 PM, Tim Orling <timothy.t.orling@linux.intel.com> wrote:
> 
> 
> 
>> On May 28, 2020, at 12:03 PM, akuster808 <akuster808@gmail.com <mailto:akuster808@gmail.com>> wrote:
>> 
>> 
>> 
>> On 5/27/20 4:25 PM, Tim Orling wrote:
>>> In commit 9730f95686b2ac72cf1fa513c555f7c7787e2667
>>> Django 2.2 was enabled.
>>> 
>>> Django 1.11 was EOL on April 1, 2020
>>> 
>>> Signed-off-by: Tim Orling <timothy.t.orling@linux.intel.com> <mailto:timothy.t.orling@linux.intel.com>
>>> ---
>>>  toaster-requirements.txt | 2 +-
>>>  1 file changed, 1 insertion(+), 1 deletion(-)
>>> 
>>> diff --git a/toaster-requirements.txt b/toaster-requirements.txt
>>> index a682b085..735b6145 100644
>>> --- a/toaster-requirements.txt
>>> +++ b/toaster-requirements.txt
>>> @@ -1,3 +1,3 @@
>>> -Django>1.8,<1.12
>>> +Django>2.2,<2.3
>> 
>> Is this version supported on all hosts supported by Dunfell?
>> 
> 
> It would be since Django 1.11 went EOL a while ago and it is loaded via “pip3 install -r toaster-requirements.txt” (not requiring Django 2.2 to be packaged on a given bistro).
> 

I should have said Django 1.11 began the EOL process a while ago. Mainstream support ended December 2, 2017
So after that it was only security and bug fixes.
https://www.djangoproject.com/download/ <https://www.djangoproject.com/download/>

> Also, toaster is currently broken on Dunfell without this change:
> 
> Traceback (most recent call last):
>   File "/home/usersetup/poky/bitbake/bin/../lib/toaster/manage.py", line 14, in <module>
>     execute_from_command_line(sys.argv)
>   File "/usr/local/lib/python3.6/dist-packages/django/core/management/__init__.py", line 364, in execute_from_command_line
>     utility.execute()
>   File "/usr/local/lib/python3.6/dist-packages/django/core/management/__init__.py", line 356, in execute
>     self.fetch_command(subcommand).run_from_argv(self.argv)
>   File "/usr/local/lib/python3.6/dist-packages/django/core/management/base.py", line 283, in run_from_argv
>     self.execute(*args, **cmd_options)
>   File "/usr/local/lib/python3.6/dist-packages/django/core/management/base.py", line 327, in execute
>     self.check()
>   File "/usr/local/lib/python3.6/dist-packages/django/core/management/base.py", line 359, in check
>     include_deployment_checks=include_deployment_checks,
>   File "/usr/local/lib/python3.6/dist-packages/django/core/management/base.py", line 346, in _run_checks
>     return checks.run_checks(**kwargs)
>   File "/usr/local/lib/python3.6/dist-packages/django/core/checks/registry.py", line 81, in run_checks
>     new_errors = check(app_configs=app_configs)
>   File "/usr/local/lib/python3.6/dist-packages/django/core/checks/urls.py", line 16, in check_url_config
>     return check_resolver(resolver)
>   File "/usr/local/lib/python3.6/dist-packages/django/core/checks/urls.py", line 26, in check_resolver
>     return check_method()
>   File "/usr/local/lib/python3.6/dist-packages/django/urls/resolvers.py", line 256, in check
>     for pattern in self.url_patterns:
>   File "/usr/local/lib/python3.6/dist-packages/django/utils/functional.py", line 35, in __get__
>     res = instance.__dict__[self.name] = self.func(instance)
>   File "/usr/local/lib/python3.6/dist-packages/django/urls/resolvers.py", line 407, in url_patterns
>     patterns = getattr(self.urlconf_module, "urlpatterns", self.urlconf_module)
>   File "/usr/local/lib/python3.6/dist-packages/django/utils/functional.py", line 35, in __get__
>     res = instance.__dict__[self.name] = self.func(instance)
>   File "/usr/local/lib/python3.6/dist-packages/django/urls/resolvers.py", line 400, in urlconf_module
>     return import_module(self.urlconf_name)
>   File "/usr/lib/python3.6/importlib/__init__.py", line 126, in import_module
>     return _bootstrap._gcd_import(name[level:], package, level)
>   File "<frozen importlib._bootstrap>", line 994, in _gcd_import
>   File "<frozen importlib._bootstrap>", line 971, in _find_and_load
>   File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
>   File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
>   File "<frozen importlib._bootstrap_external>", line 678, in exec_module
>   File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
>   File "/home/usersetup/poky/bitbake/lib/toaster/toastermain/urls.py", line 72, in <module>
>     if p.pattern.regex.pattern == '^' + modulename + '/':
> AttributeError: 'RegexURLResolver' object has no attribute ‘pattern'
> 
>> - armin
>>>  beautifulsoup4>=4.4.0
>>>  pytz
>>> 
>>> 
>> 
>>
-=-=-=-=-=-=-=-=-=-=-=-
Links: You receive all messages sent to this group.

View/Reply Online (#5740): https://lists.yoctoproject.org/g/toaster/message/5740
Mute This Topic: https://lists.yoctoproject.org/mt/74531647/3617530
Group Owner: toaster+owner@lists.yoctoproject.org
Unsubscribe: https://lists.yoctoproject.org/g/toaster/unsub  [oe-patchwork@oe-patch.openembedded.org]
-=-=-=-=-=-=-=-=-=-=-=-